#include "deleteButton.h"

DeleteButton::DeleteButton(QWidget *parent)
: QPushButton(parent)
{
	connect(this, SIGNAL(clicked()), this, SLOT(on_clicked()));

	const QIcon *logo = new QIcon(":/remove.png");
	setIcon(*logo);
	//setFixedWidth(32);
	setToolTip(tr("Remove this line"));
	setSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::Minimum);
}

void DeleteButton::setline(int line)
{
	l_ = line;
}

void DeleteButton::on_clicked()
{
	emit delete_line(l_);
}


