#ifndef _DELETEBUTTON_H_
#define _DELETEBUTTON_H_


#include <QtGui>

class DeleteButton : public QPushButton
{
	Q_OBJECT

	public:
		DeleteButton(QWidget *parent = 0);
		void setline(int line);

	private:
		int l_;

	private slots:
		void on_clicked();

	signals:
		void delete_line(int line);
};

#endif
